.subscription{
    background-color: $light-blue;
    padding-left: 30px;
    padding-right: 30px;
    margin-bottom: 50px;
    margin-top: 28px;

    @include media-breakpoint-down(xs){
        margin-left: - map-get($container-paddings, "xs");
        margin-right: - map-get($container-paddings, "xs");
        padding-left: map-get($container-paddings, "xs");
        padding-right: map-get($container-paddings, "xs");
    }

    

    &__inner{
        @include media-breakpoint-down(sm){
            max-width: 600px;
            text-align: center;
            margin-left: auto;
            margin-right: auto;
        }
    }

    .row{
        @include media-breakpoint-up(md){
            margin-left: -30px;
            margin-right: -30px;
        }
    }

    &__social{
        position: relative;
        padding-top: 40px;
        padding-bottom: 34px;

        @include media-breakpoint-up(md){
            flex-basis: 37.2%;
            max-width: 37.2%;
            padding-left: 40px;
            padding-right: 40px;

            &::after{
                content: "";
                position: absolute;
                width: 1px;
                height: 70px;
                background-color: #e5e5e5;
                right: 0;
                top: 0;
                bottom: 0;
                margin-top: auto;
                margin-bottom: auto;
            }

            .social-links{
                margin-top: 40px;

                &__item:not(:last-child){
                    margin-right: 16px;
                }
            }
        }

        @include media-breakpoint-up(lg){
            padding-left: 70px;
            padding-right: 70px;
        }

        @include media-breakpoint-down(sm){
            border-bottom: 1px solid #e5e5e5;
            padding-bottom: 30px;

            .subscription__title{
                display: inline-block;
                margin-bottom: 0;
            }

            .social-links{
                display: inline-block;
                margin-left: 20px;
            }
        }

        @include media-breakpoint-down(xs){
            .subscription__title{
                display: block;
            }

            .social-links{
                display: block;
                margin-top: 20px;
                margin-left: 0;
            }
        }
    }

    &__title{
        margin-bottom: 30px;
    }
}

.subscription-form{
    position: relative;
    padding-top: 40px;
    padding-bottom: 34px;

    @include media-breakpoint-up(md){
        flex-basis: 62.8%;
        max-width: 62.8%;
        padding-left: 40px;
        padding-right: 40px;
        min-height: 232px;
    }

    @include media-breakpoint-up(lg){
        padding-left: 70px;
        padding-right: 70px;
    }

    @include media-breakpoint-down(xs){
        text-align: left;
    }

    .has-danger{

        .bmd-label-floating{
            display: none;
        }

        label.has-danger{
            position: absolute;
            left: 0;
            margin: 0;
            top: 1.25rem; // 20px;
            transition: .3s ease all;
            font-size: $font-size-base;

            @include media-breakpoint-down(sm){
                top: .8125rem;
                font-size: $font-size-sm;
            }

            @include media-breakpoint-down(xs){
                top: .9375rem;
            }
        }

        &.is-focused, &.is-filled {
            label.has-danger{
                top: 0;
                font-size:.79688rem;

                @include media-breakpoint-down(sm){
                    top: -.3125rem; // 5px
                }
            }
        }
    }

    &__content{
        width:100%;
    }

    .form-group{
        margin-bottom: 30px;
    }

    &.form-inline input{
        width: 100%;
    }

    &__btn{
        width: 190px;
        margin-left: 20px;

        @include media-breakpoint-down(xs){
            margin-left:0;
            width: 100%;
        }
    }


    &__info{
        @include media-breakpoint-down(xs){
            line-height: 1.077;
        }
    }

    &.form--success .form__success{
        display: inline-block;
        margin-left: auto;
        margin-right: auto;

        .subscription__title{
            margin-bottom: 14px;
        }
    }
}